/* 水平柱状图 */
import Bar from './bar'

class BarHorizontal extends Bar {
  constructor(layer, screen) {
    super(layer, screen)
  }

  setPaint() {
    let paint = this._initPaint()
    let {
      title,
      legend,
      grid,
      xAxis,
      yAxis,
      series,
      tooltip
    } = this._getOption(paint)
    this._render({
      title,
      legend,
      grid,
      xAxis: yAxis,
      yAxis: xAxis,
      series,
      tooltip
    })
  }
}

export default BarHorizontal
